@font-face {
  font-family: "Gilroy";
  src: url("/assets/Gilroy-ExtraBold.woff2") format("woff2"),
    url("/assets/Gilroy-ExtraBold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

body,
a,
p,
.clustercount,
input {
  font-family: "Gilroy";
  font-weight: bold;
  margin: 0;
}
body {
  overflow: hidden;
}

#map {
  position: absolute;
  height: 100%;
  width: 100%;
}

.mapcontainer {
  position: relative;
  width: 1300px;
  height: 780px;
  box-shadow: 0 0 32px rgba(0, 0, 0, 0.1);
  background-color: #fff;
  z-index: 100;
}

.container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%;
  position: absolute;
  margin: 0 8em;
}

.container h1 {
  font-size: 42px;
  margin: 0 0 1em;
}

/* leisure styling */

body.leisure h1 {
  background: -webkit-linear-gradient(0deg, #00bfff, #008bff);
  z-index: 1000;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

body.leisure .mapcontainer {
  margin-bottom: 2em;
}

body.leisure .mapcontainer::before,
body.leisure .mapcontainer::after {
  content: "";
  width: 320px;
  z-index: -10;
  filter: blur(5em);
  opacity: 0.5;
  height: 460px;
  display: block;
  background: linear-gradient(0deg, #00f9ff, #008bff);
  position: absolute;
}

body.leisure .mapcontainer::before {
  left: -40px;
  top: -20px;
}

body.leisure .mapcontainer::after {
  right: -6em;
  bottom: -12em;
}

body.leisure .clustercount {
  background: #00bfff !important;
  color: #ffffff !important;
}

/* wema */

body.wema h1 {
  color: #1c3ca5 !important;
}
body.wema .mapcontainer {
  margin-bottom: 4em;
}

body.wema .mapcontainer::before,
body.wema .mapcontainer::after {
  content: "";
  width: 20em;
  z-index: -10;
  border-radius: 50%;
  height: 20em;
  display: block;
  position: absolute;
}

body.wema .mapcontainer::before {
  background: linear-gradient(180deg, #018bfe, #103aa4);
  left: -6em;
  top: -6em;
}

body.wema .mapcontainer::after {
  background: linear-gradient(180deg, #00d6f8, #00adef);
  right: -6em;
  bottom: -6em;
}

body.wema .clustercount {
  background: #0b56c3 !important;
  color: #ffffff !important;
}

body.wema .markericon *,
body.wema .leaflet-popup-content-wrapper {
  color: #0b56c3 !important;
}

body.wema .container {
  align-items: center;
  width: 100%;
  margin: 0;
}

/* people */

body.people h1 {
  background: -webkit-linear-gradient(0deg, #02f69d, #01baff);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  margin: 0 0 1em;
}
body.people .mapcontainer {
  margin-bottom: 4em;
}

body.people .markericon *,
body.leisure .markericon *,
body.people .leaflet-popup-content-wrapper,
body.leisure .leaflet-popup-content-wrapper {
  color: #00a0ff !important;
}

body.people:before {
  content: url("/assets/Line.png");
  position: absolute;
  bottom: 0;
  left: 0;
  vertical-align: bottom;
  line-height: 0;
}

body.people:after {
  content: url("/assets/Line2.png");
  position: absolute;
  top: 0;
  display: block;
  right: 0;
}

body.people .clustercount {
  background: linear-gradient(90deg, #02f69d, #01baff) !important;
  color: #ffffff !important;
}

body.people .container {
  align-items: center;
  width: 100%;
  margin: 0;
}
/*  */

.leaflet-container {
  background-color: #fff;
}

.clustercount {
  position: absolute;
  z-index: 1000;
  background: rgba(0, 72, 167, 1);
  padding-top: 2px;
  color: white;
  border-radius: 50%;
  font-size: 25px;
  min-width: 40px !important;
  min-height: 40px !important;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: -14px;
  margin-left: -14px;
  line-height: 0;
  padding: 0;
}

.leaflet-div-icon {
  background: rgba(0, 0, 0, 0);
  border: 0;
}

.mappopup {
  position: absolute;
  width: 70%;
  height: 80%;
  margin: 3em auto;
  left: 0;
  right: 0;
  background: white;
  z-index: 1000;
  border-radius: 24px;
  box-shadow: 0 0 24px rgba(0, 0, 0, 0.4);
}

.leaflet-control-zoom {
  display: none;
  pointer-events: none;
}

/* searchbar */

.searchbar {
  position: absolute;
  left: 0;
  z-index: 500;
  margin: 1em;
  background-color: #f4f3f3;
  border-radius: 2em;
  overflow: hidden;
  display: flex;
  align-items: center;
  padding: 0.1em;
  width: 300px;
}

.searchbar input {
  background: none;
  border: none;
  padding: 0.5em 1em;
  font-size: 15px;
  height: 100%;
  flex-grow: 1;
}

.searchbar input:focus {
  outline: none;
}

.searchbar img {
  height: 20px;
  width: 20px;
  margin-right: 0.5em;
}

.searchbar input::placeholder {
  color: #d8d8d8;
  opacity: 1;
}

/* custom marker popups */

.leaflet-popup {
  bottom: 10px !important;
}

.leaflet-popup-close-button {
  display: none;
}

.leaflet-popup-content-wrapper,
.leaflet-popup-tip {
  box-shadow: none;
}

.leaflet-popup-tip-container {
  width: 80px;
  height: 80px;
  margin-left: -40px;
}

.leaflet-popup-tip {
  width: 40px;
  height: 40px;
  margin: -20px auto 0;
}

.leaflet-popup-content-wrapper {
  padding: 0;
  overflow: hidden;
}

.leaflet-popup-tip-container {
  -webkit-transform: scaleX(0.5);
  -moz-transform: scaleX(0.5);
  -ms-transform: scaleX(0.5);
  transform: scaleX(0.5);
}

.leaflet-popup-content-wrapper {
  border-radius: 4px;
}

.leaflet-popup-content {
  margin: 0;
  width: 25em !important;
}

.leaflet-popup-content * {
  max-width: 25em;
}

.leaflet-popup-content .banner {
  object-fit: cover;
  width: 100%;
  height: 88px;
}

.leaflet-popup-content .logo {
  height: 24px;
  margin: 5px;
}

.leaflet-popup-content h2 {
  font-weight: bold;
  font-size: 16px;
  height: auto !important;
  padding: 8px 0 8px 24px;
}

.leaflet-popup-content .stars {
  background-image: url(/assets/star.svg);
  background-repeat: repeat-x;
  background-size: 22px;
  height: 22px;
  margin: 5px;
}

.leaflet-popup-content .row {
  display: flex;
  margin: 5px;
  text-decoration: none;
}

.leaflet-popup-content .row p {
  margin: 0;
  font-size: 15px;
  line-height: 15px;
}

.leaflet-popup-content .row svg {
  min-width: 15px;
  min-height: 15px;
  max-width: 15px;
  max-height: 15px;
  margin: 0 7px 0 2px;
}

.leaflet-popup-content div {
  margin-bottom: 16px;
}

.leisure,
.leisure * {
  color: #00a0ff !important;
}

body.leisure * .leaflet-interactive {
  stroke: #00a0ff !important;
  stroke-width: 1px !important;
  fill: #f4f8fa !important;
  fill-opacity: 1 !important;
}

body.people * .leaflet-interactive {
  stroke: url(#grad1) !important;
  stroke-width: 1px !important;
  fill: #0e1a34 !important;
  fill-opacity: 1 !important;
}

body.wema * .leaflet-interactive {
  stroke: #a6c2ec !important;
  stroke-width: 1px !important;
  fill: #f4f8fa !important;
  fill-opacity: 1 !important;
}

#grad1 {
  --color-stop: #f12c06;
  --color-bot: #faed34;
}

@media (max-width: 1300px) {
  /* … */
  .mapcontainer {
    width: 100%;
    height: 100%;
    margin: 0 !important;
  }
  h1 {
    display: none;
  }
  :before,
  :after {
    display: none !important;
  }
}

@media (max-width: 530px) {
  /* … */
  .searchbar {
    width: calc(100% - 2em);
  }
}
